指定されたプロジェクト内の 1 つのクラスターのクラウドバックアップスケジュールを更新します。このスケジュールは、 MongoDB Cloud がスケジュールされたスナップショットをいつ取得するか、またそれらのスナップショットをどのくらいの期間保存するかを定義します。このリソースを使用するには、リクエスト元のサービスアカウントまたはAPIキーにプロジェクト オーナーのロールが必要です。
- プロジェクトバックアップマネージャー
path パラメータ
-
プロジェクトを識別する一意の 24 桁の 16 進数文字列。 認証済みユーザーがアクセスできるすべてのプロジェクトを取得するには、 /groups エンドポイントを使用します。
注: グループとプロジェクトは同義語です。そのため、グループ ID はプロジェクト ID と同じです。既存のグループの場合、グループ/プロジェクト ID は同じままです。リソースおよび対応するエンドポイントでは、グループという用語が使用されます。
形式は次のパターンと一致する必要があります:
^([a-f0-9]{24})$。 -
クラスターを識別する人間が判読できるラベル。
形式は次のパターンと一致する必要があります:
^[a-zA-Z0-9][a-zA-Z0-9-]*$。
クエリ パラメータ
-
アプリケーションがレスポンスを
envelopeJSON オブジェクトにラップするかどうかを示すフラグ。一部の API クライアントは、HTTP レスポンス ヘッダーまたはステータス コードにアクセスできません。これを修正するには、クエリで envelope=true を設定します。結果のリストを返すエンドポイントは、結果オブジェクトをエンベロープとして使用します。アプリケーションは、レスポンス本体にステータス パラメータを追加します。デフォルト値は
falseです。 -
レスポンス本体を pretty-print 形式にするかどうかを示すフラグ。
デフォルト値は
falseです。Prettyprint
body
必須
指定されたプロジェクト内の 1 つのクラスターのクラウドバックアップ スケジュールを更新します。
注: リクエスト本文には、更新するフィールドのみを指定します。
-
MongoDB Cloud がクラウドバックアップ スナップショットをエクスポート バケットに自動的にエクスポートするかどうかを示すフラグ。
-
コピー設定で
frequenciesではなくcopyPolicyItemsが使用されるかどうかを示すフラグ。true の場合、リクエストはcopyPolicyItemsを提供する必要があり、レスポンスはcopyPolicyItemsのみを返す必要があります。false または省略した場合、リクエストはfrequenciesを提供する必要があり、レスポンスはfrequenciesのみを返す必要があります。 -
目的のバックアップ ポリシー内の各コピー設定アイテムのドキュメントを含むリスト。
-
削除対象のバックアップ コピーを持つ削除済みコピー設定ごとのドキュメントを含むリスト。
-
関連付けられている
copyPolicyItemsがcopySettingから削除されたときにMongoDB Cloud が過去に取得したスナップショット コピーを削除するかどうかを示すフラグ。このオプションでは、copyPolicyItemsEnabledが true である必要があります。 -
関連付けられているバックアップポリシーを削除するときに、 MongoDB Cloud が以前に取得したスナップショットを削除するかどうかを示すフラグ。
-
クラウドバックアップのスナップショットを自動的にエクスポートするポリシー。
-
目的のバックアップ ポリシー内の余分な保持設定アイテムごとのドキュメントを含むリスト。
-
このバックアップ スケジュールに設定されたルール。
以下は
1要素以下です。 -
MongoDB Cloud がスナップショットを取得する時刻を表す UTC(Coordinated Universal Time、協定世界時)の時刻。
-
MongoDB Cloud がスナップショットを取得する時間を表す
referenceHourOfDayの分の単位。 -
継続的なクラウドバックアップの精度で復元できる過去の日数。0 以外の正の整数を指定する必要があります。このパラメータは継続的なクラウドバックアップにのみ適用されます。
-
更新されたコピー ポリシー項目の保持変更を、 MongoDB Cloud が以前に取得したスナップショットのコピーに適用するかどうかを示すフラグ。
-
更新されたバックアップ ポリシーの保持の変更を、MongoDB Cloud が以前に取得したスナップショットに適用するかどうかを示すフラグ。
-
MongoDB Cloud がエクスポート バケットにアップロードするメタデータ ファイルのパスに、組織 UUID とプロジェクト UUID の代わりに組織名とプロジェクト名を使用するかどうかを示すフラグ。
curl \
--request PATCH 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/clusters/{clusterName}/backup/schedule' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"autoExportEnabled":true,"copyPolicyItemsEnabled":true,"copySettings":[{"cloudProvider":"AWS","copyPolicyItems":[{"frequencyType":"ondemand"}],"frequencies":["HOURLY"],"lastNumberOfSnapshots":42,"regionName":"string","replicationSpecId":"32b6e34b3d91647abb20e7b8","shouldCopyOplogs":true}],"deleteCopiedBackups":[{"cloudProvider":"AWS","regionName":"string","replicationSpecId":"32b6e34b3d91647abb20e7b8","zoneId":"32b6e34b3d91647abb20e7b8"}],"deleteCopySnapshots":true,"deleteSnapshots":true,"export":{"exportBucketId":"32b6e34b3d91647abb20e7b8","frequencyType":"monthly"},"extraRetentionSettings":[{"frequencyType":"HOURLY","retentionDays":42}],"policies":[{"id":"32b6e34b3d91647abb20e7b8","policyItems":[{"frequencyInterval":1,"frequencyType":"daily","retentionUnit":"days","retentionValue":42}]}],"referenceHourOfDay":42,"referenceMinuteOfHour":42,"restoreWindowDays":42,"updateCopySnapshots":true,"updateSnapshots":true,"useOrgAndGroupNamesInExportPrefix":true}'
{
"autoExportEnabled": true,
"copyPolicyItemsEnabled": true,
"copySettings": [
{
"cloudProvider": "AWS",
"copyPolicyItems": [
{
"frequencyType": "ondemand"
}
],
"frequencies": [
"HOURLY"
],
"lastNumberOfSnapshots": 42,
"regionName": "string",
"replicationSpecId": "32b6e34b3d91647abb20e7b8",
"shouldCopyOplogs": true
}
],
"deleteCopiedBackups": [
{
"cloudProvider": "AWS",
"regionName": "string",
"replicationSpecId": "32b6e34b3d91647abb20e7b8",
"zoneId": "32b6e34b3d91647abb20e7b8"
}
],
"deleteCopySnapshots": true,
"deleteSnapshots": true,
"export": {
"exportBucketId": "32b6e34b3d91647abb20e7b8",
"frequencyType": "monthly"
},
"extraRetentionSettings": [
{
"frequencyType": "HOURLY",
"retentionDays": 42
}
],
"policies": [
{
"id": "32b6e34b3d91647abb20e7b8",
"policyItems": [
{
"frequencyInterval": 1,
"frequencyType": "daily",
"retentionUnit": "days",
"retentionValue": 42
}
]
}
],
"referenceHourOfDay": 42,
"referenceMinuteOfHour": 42,
"restoreWindowDays": 42,
"updateCopySnapshots": true,
"updateSnapshots": true,
"useOrgAndGroupNamesInExportPrefix": true
}
{
"autoExportEnabled": true,
"clusterId": "32b6e34b3d91647abb20e7b8",
"clusterName": "string",
"copyPolicyItemsEnabled": true,
"copySettings": [
{
"cloudProvider": "AWS",
"copyPolicyItems": [
{
"frequencyType": "ondemand",
"id": "32b6e34b3d91647abb20e7b8"
}
],
"frequencies": [
"HOURLY"
],
"lastNumberOfSnapshots": 42,
"regionName": "string",
"replicationSpecId": "32b6e34b3d91647abb20e7b8",
"shouldCopyOplogs": true
}
],
"export": {
"exportBucketId": "32b6e34b3d91647abb20e7b8",
"frequencyType": "monthly"
},
"extraRetentionSettings": [
{
"frequencyType": "HOURLY",
"retentionDays": 42
}
],
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"nextSnapshot": "2026-05-04T09:42:00Z",
"policies": [
{
"id": "32b6e34b3d91647abb20e7b8",
"policyItems": [
{
"frequencyInterval": 1,
"frequencyType": "daily",
"id": "32b6e34b3d91647abb20e7b8",
"retentionUnit": "days",
"retentionValue": 42
}
]
}
],
"referenceHourOfDay": 42,
"referenceMinuteOfHour": 42,
"restoreWindowDays": 42,
"useOrgAndGroupNamesInExportPrefix": true
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}